Bug 12298 - package group selection doesn't work
Summary: package group selection doesn't work
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-15 11:38 UTC by Tim Waugh
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-16 10:07:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-06-15 11:38:45 UTC
(I'm filing this as a beta1 bug, but really it's in rawhide-20000613: the
rawhide product only seems to have a version 1.0 in bugzilla..)

It looks to me like the package group selection isn't quite working
right.  It says 'Total install size: 539M' at the bottom of the
screen, and things like 'Printer support', 'X', etc are checked by
default.  But when I uncheck them, it _still_ says 'Total install
size: 539M' at the bottom.

When I uncheck them _all_ and press 'Next', I get unresolved
dependencies:

samba-common    cups
tkinter         no suggestion
gcc-c++         libstdc++-devel
samba-client    cups

It now says 'Total install size: 546M', consistent with 'Install
packages to satisfy dependencies'.

If I press 'Back', the original list of default package groups is
selected. :-(

If I uncheck them all and check 'Select individual packages' and click
'Next', I see that packages like 'XFree86' are selected.

Comment 1 Tim Waugh 2000-06-16 10:07:13 UTC
This is with the GUI install by the way.  The TUI works fine.

Comment 2 Tim Waugh 2000-06-16 10:12:45 UTC
I just tried this again and couldn't get it to happen.  Grr.


Note You need to log in before you can comment on or make changes to this bug.